# List

Launch stage: GA

`GET /api/2.0/apps/{app_name}/deployments`

Lists all app deployments for the app with the supplied name.

API scopes: apps

## Path parameters

- `app_name` (string, optional)
  The name of the app.

## Query parameters

- `page_token` (string, optional)
  Pagination token to go to the next page of apps. Requests first page if absent.
- `page_size` (int32, optional)
  Upper bound for items returned.

## Returns

Returns a list of AppDeployment objects.

## Response

```json
{
  "app_deployments": [
    {
      "deployment_id": "01ef0bda89f21f08a8351f41e4a9b948",
      "source_code_path": "/Workspace/user@test.com/my_custom_app",
      "git_source": {},
      "mode": "string",
      "deployment_artifacts": {},
      "status": {},
      "create_time": "string",
      "creator": "user@test.com",
      "update_time": "string",
      "command": "python app.py",
      "env_vars": [
        {}
      ]
    }
  ],
  "next_page_token": "string"
}
```

